;;
;; bitmap-mule-init.el
;;
;; Takuo KITAME <kitame@northeye.org>

(setq load-path 
	  (cons 
	   (concat "/usr/share/" (symbol-name debian-emacs-flavor)
			   "/site-lisp/bitmap-mule")
	   load-path))

;; for Wanderlust
(setq wl-highlight-x-face-func
	  (function
	   (lambda (&rest args)
		 (x-face-decode-message-header))))

;; for Mew (beta)
(setq mew-use-highlight-x-face t)
(setq mew-use-highlight-x-face-function
	  'x-face-decode-message-header)

;; some values
(setq x-face-mule-uncompface-program "uncompface")

;; For gnus-bitmap
(autoload 'gnus-bitmap-splash "gnus-bitmap")
(add-hook 'gnus-load-hook 'gnus-bitmap-splash)
(setq x-face-mule-gnus-force-decode-headers t)

(require 'bitmap)
(require 'x-face-mule)

;; bitmap-font foce enable
(if window-system
    (mapcar (lambda (fontset)
			  ;;(if (= (fontset-pixel-size fontset) 16)
			  (if (boundp 'MULE)
				  (set-fontset-font
				   fontset lc-bitmap
				   "-etl-fixed-medium-r-*--16-*-100-100-m-*-bitmap.8x16-0")
				(set-fontset-font
				 fontset 'bitmap
				 "-etl-fixed-medium-r-*--16-*-100-100-m-*-bitmap.8x16-0")
				)
			  );;)
			(fontset-list))
  )

;; smily and gnus-bitmap
(if window-system
    (progn
	  
	  (autoload 'smiley-buffer "smiley-mule" nil t)
	  (autoload 'smiley-encode-buffer "smiley-mule" nil t)
      
      ;; For SEMI
	  ;; Default Disabled
      ;;(add-hook 'mime-display-text/plain-hook 'smiley-buffer)
      ;;(add-hook 'mime-edit-translate-hook 'smiley-encode-buffer)
      
      ;; For tm
      ;;(add-hook 'mime-viewer/plain-text-preview-hook 'smiley-buffer)
      ;;(add-hook 'mime-editor/translate-hook 'smiley-encode-buffer)
      
      ;; For gnus-bitmap
      (autoload 'gnus-bitmap-splash "gnus-bitmap")
      (add-hook 'gnus-load-hook 'gnus-bitmap-splash)
      ))

